API Documentation
Home / API Documentation
Home / API Documentation
https://www.rukkystore.com/api/v1
X-API-KEY: YOUR_API_KEY
key=YOUR_API_KEY
| Action | Description | Required Fields |
|---|---|---|
| services | List all services | key, action |
| add | Place a new order | key, action, service, link, quantity |
| status | Get order status | key, action, order |
| balance | Get account balance | key, action |
| vtu_data_plans | List VTU data plans | key, action, service_id |
| vtu_sme_plans | List VTU SME plans | key, action, network |
| vtu_cable_plans | List VTU cable plans | key, action, service_id |
| vtu_electric_discos | List VTU electricity discos | key, action |
| vtu_cable_verify | Verify cable smartcard | key, action, service_id, customer_id |
| vtu_electricity_verify | Verify electricity meter | key, action, service_name, meter_type, meter_number |
| vtu_airtime | Buy airtime | key, action, service_name, phone, amount, pin |
| vtu_data | Buy data | key, action, plan_id, phone, pin |
| vtu_sme | Buy SME data | key, action, plan_id, phone, pin |
| vtu_cable | Subscribe cable | key, action, plan_id, customer_id, phone, pin |
| vtu_electricity | Buy electricity | key, action, service_name, meter_type, meter_number, phone, amount, pin |
| vtu_education | Buy education pin (WAEC) | key, action, phone, amount, pin |
| vtu_recharge_card | Print recharge card | key, action, card_network, value, quantity, pin |
| vtu_status | Get VTU transaction status | key, action, trx |
curl -X POST "https://www.rukkystore.com/api/v1" -H "X-API-KEY: YOUR_API_KEY" -d "action=services"
curl -X POST "https://www.rukkystore.com/api/v1" -H "X-API-KEY: YOUR_API_KEY" -d "action=add&service=123&link=https://example.com&quantity=1000"
curl -X POST "https://www.rukkystore.com/api/v1" -H "X-API-KEY: YOUR_API_KEY" -d "action=status&order=4488"
curl -X POST "https://www.rukkystore.com/api/v1" -H "X-API-KEY: YOUR_API_KEY" -d "action=balance"
curl -X POST "https://www.rukkystore.com/api/v1" -H "X-API-KEY: YOUR_API_KEY" -d "action=vtu_data_plans&service_id=mtn-data"
curl -X POST "https://www.rukkystore.com/api/v1" -H "X-API-KEY: YOUR_API_KEY" -d "action=vtu_data&plan_id=1&phone=08012345678&pin=1234"
curl -X POST "https://www.rukkystore.com/api/v1" -H "X-API-KEY: YOUR_API_KEY" -d "action=vtu_status&trx=XXXX"
https://www.rukkystore.com/assets/php_api_example.txt
{
"status": "success|failed|processing|pending",
"category": "data|sme|airtime|cable|electricity|education|recharge_card",
"trx": "TRX_STRING",
"provider_ref": "REFERENCE_IF_ANY",
"amount": "123.45",
"balance": "1000.00",
"currency": "NGN",
"message": "optional error/success message",
"cards": [ { "pin": "...", "serial": "..." } ]
}X-Webhook-Event: vtu.success X-Webhook-Signature: <hmac_sha256(payload_json, webhook_secret)>
vtu.status_changed vtu.processing vtu.success vtu.failed
{
"event": "vtu.success",
"occurred_at": "2026-04-05T12:00:00Z",
"vtu": {
"id": 1,
"trx": "TRX_STRING",
"category": "data",
"service_name": "mtn-data",
"phone": "08012345678",
"amount": 123.45,
"base_amount": 120.00,
"profit_amount": 3.45,
"provider": "strowallet",
"provider_ref": "ABC123",
"status": "success",
"meta": {},
"created_at": "2026-04-05T12:00:00Z",
"updated_at": "2026-04-05T12:00:05Z"
}
}